Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

error: use of undeclared identifier 'X509_CHECK_FLAG_NEVER_CHECK_SUBJECT' #52

Closed
tempodox opened this issue Jul 10, 2019 · 6 comments

Comments

Projects
None yet
5 participants
@tempodox
Copy link

commented Jul 10, 2019

I get a compiler error when updating to ssl.0.5.8:

> # ssl_stubs.c:1257:18: error: use of undeclared identifier 'X509_CHECK_FLAG_NEVER_CHECK_SUBJECT'
> #         flags |= X509_CHECK_FLAG_NEVER_CHECK_SUBJECT;
> #                  ^

That flag is not defined in <openssl/x509v3.h>.

@anmonteiro

This comment has been minimized.

Copy link
Contributor

commented Jul 10, 2019

It would be helpful to know which OpenSSL version you're trying to build this against, because I'm using SSL 0.5.8 without any trouble.

@aantron

This comment has been minimized.

Copy link

commented Jul 10, 2019

I just observed this on WSL, with

$ openssl version
OpenSSL 1.0.2g  1 Mar 2016

And in Travis. I don't have the version in Travis handy, but can find it out. The log is here.

@anmonteiro

This comment has been minimized.

Copy link
Contributor

commented Jul 10, 2019

It works on my side with any of the OpenSSL 1.1.1 versions that I tried

aantron added a commit to ocsigen/lwt_ssl that referenced this issue Jul 10, 2019

@vouillon

This comment has been minimized.

Copy link
Contributor

commented Jul 11, 2019

This was introduced in OpenSSL 1.1.0.

@emillon

This comment has been minimized.

Copy link

commented Jul 11, 2019

I think that the code introduced in #49 should be gated under a macro test like it's being done for other features in src/config/discover.ml.

@tempodox

This comment has been minimized.

Copy link
Author

commented Jul 11, 2019

Thank you all for your help! I had indeed openssl 1.0 installed and hadn't noticed there was an upgrade to 1.1 available. After I swapped it out and rebuilt all the dependents everything seems to be working, including ocaml-ssl.0.5.8.

@tempodox tempodox closed this Jul 11, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.